<html>
<head>
<title>OGRE: Ogre::TextureUnitState::TextureEffect Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1TextureUnitState.html">TextureUnitState</a>::<a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html">TextureEffect</a></div>
<h1>Ogre::TextureUnitState::TextureEffect Struct Reference</h1><!-- doxytag: class="Ogre::TextureUnitState::TextureEffect" -->Internal structure defining a texture effect.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1TextureUnitState_1_1TextureEffect-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626">TextureEffectType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#ded68c8d04446c4e9b9616f356be06de">type</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#3436e57eb0e5f928522ef07a93b11e2d">subtype</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#ba2780418ca3a03d94d6ca23c91c6615">arg1</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#91a3e4c00a58f31c59aa1081e62d0b73">arg2</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#4727405325577a8151cd706ef6bef824">waveType</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#03b721b43c1f02ce9a965c2c8422080e">base</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#4612d326766998c6a7ea18a9e1960e4a">frequency</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#e1445ba754865180a9472c53bb34e479">phase</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#96a6e183d58fede27a9707bd2ab84754">amplitude</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt; <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> &gt; *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#af355fbea2860f3bfcfa05b106ae91b7">controller</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#8f3fe2be82636153864de617fe5f8479">frustum</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Internal structure defining a texture effect. 
<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00152">152</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="ded68c8d04446c4e9b9616f356be06de"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::type" ref="ded68c8d04446c4e9b9616f356be06de" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitState.html#717b14961a636b3a18b8ab3dcef61626">TextureEffectType</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#ded68c8d04446c4e9b9616f356be06de">Ogre::TextureUnitState::TextureEffect::type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00153">153</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="3436e57eb0e5f928522ef07a93b11e2d"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::subtype" ref="3436e57eb0e5f928522ef07a93b11e2d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#3436e57eb0e5f928522ef07a93b11e2d">Ogre::TextureUnitState::TextureEffect::subtype</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00154">154</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ba2780418ca3a03d94d6ca23c91c6615"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::arg1" ref="ba2780418ca3a03d94d6ca23c91c6615" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#ba2780418ca3a03d94d6ca23c91c6615">Ogre::TextureUnitState::TextureEffect::arg1</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00155">155</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="91a3e4c00a58f31c59aa1081e62d0b73"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::arg2" ref="91a3e4c00a58f31c59aa1081e62d0b73" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#91a3e4c00a58f31c59aa1081e62d0b73">Ogre::TextureUnitState::TextureEffect::arg2</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00155">155</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4727405325577a8151cd706ef6bef824"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::waveType" ref="4727405325577a8151cd706ef6bef824" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#bf2e0412a783a6f708ca1a58abb45c1b">WaveformType</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#4727405325577a8151cd706ef6bef824">Ogre::TextureUnitState::TextureEffect::waveType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00156">156</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="03b721b43c1f02ce9a965c2c8422080e"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::base" ref="03b721b43c1f02ce9a965c2c8422080e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#03b721b43c1f02ce9a965c2c8422080e">Ogre::TextureUnitState::TextureEffect::base</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00157">157</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4612d326766998c6a7ea18a9e1960e4a"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::frequency" ref="4612d326766998c6a7ea18a9e1960e4a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#4612d326766998c6a7ea18a9e1960e4a">Ogre::TextureUnitState::TextureEffect::frequency</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00158">158</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e1445ba754865180a9472c53bb34e479"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::phase" ref="e1445ba754865180a9472c53bb34e479" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#e1445ba754865180a9472c53bb34e479">Ogre::TextureUnitState::TextureEffect::phase</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00159">159</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="96a6e183d58fede27a9707bd2ab84754"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::amplitude" ref="96a6e183d58fede27a9707bd2ab84754" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#96a6e183d58fede27a9707bd2ab84754">Ogre::TextureUnitState::TextureEffect::amplitude</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00160">160</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="af355fbea2860f3bfcfa05b106ae91b7"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::controller" ref="af355fbea2860f3bfcfa05b106ae91b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Controller</a>&lt;<a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&gt;* <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#af355fbea2860f3bfcfa05b106ae91b7">Ogre::TextureUnitState::TextureEffect::controller</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00161">161</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8f3fe2be82636153864de617fe5f8479"></a><!-- doxytag: member="Ogre::TextureUnitState::TextureEffect::frustum" ref="8f3fe2be82636153864de617fe5f8479" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Frustum.html">Frustum</a>* <a class="el" href="structOgre_1_1TextureUnitState_1_1TextureEffect.html#8f3fe2be82636153864de617fe5f8479">Ogre::TextureUnitState::TextureEffect::frustum</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreTextureUnitState_8h-source.html#l00162">162</a> of file <a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTextureUnitState_8h-source.html">OgreTextureUnitState.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:54:56 2008
</p>
</body>
</html>
